Subject: bug#17893: 24.4.50; (error "Marker does not point anywhere")

From: Stephen Berman <[email-masked]>
Date: Wed, 02 Jul 2014 20:58:43 +0200

On Wed, 2 Jul 2014 09:08:42 -0700 (PDT) Drew Adams <[email-masked]> wrote:

>> > I see.  Would a feasible enhancement be for an error backtrace to
>> > show which pre-command-hook function was invoked,
>> 
>> This is already the case.
>
> I see.  So something added `clear-temporary-map' to `pre-command-hook'
> on the fly, I guess (since I don't see it there otherwise).
>
> I guess that must be done in some C code, since I don't find any hits
> when I grep for `clear-temporary' in the Emacs Lisp code.  (I don't
> have the C code.)

It's actually called clear-transient-map ...

On Wed, 02 Jul 2014 14:24:25 -0400 Stefan Monnier <[email-masked]> wrote:

>> Not very easy for a user to guess (or even discover) what's going on.
>
> It's added by set-temporary-map

... set-transient-map

Steve Berman